package jp.co.headwaters.webappos.cache.bean;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public class BindBean {

	private String target;
	private String format;
	@JsonProperty("col")
	private String columnName;
	@JsonProperty("name")
	private String paramName;
	@JsonProperty("args")
	private List<String> argList;
	private String escape = "true";

	public String getTarget() {
		return target;
	}
	public void setTarget(String target) {
		this.target = target;
	}
	public String getFormat() {
		return format;
	}
	public void setFormat(String format) {
		this.format = format;
	}
	public String getColumnName() {
		return columnName;
	}
	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}
	public String getParamName() {
		return paramName;
	}
	public void setParamName(String paramName) {
		this.paramName = paramName;
	}
	public List<String> getArgList() {
		return argList;
	}
	public void setArgList(List<String> argList) {
		this.argList = argList;
	}
	public String getEscape() {
		return escape;
	}
	public void setEscape(String escape) {
		this.escape = escape;
	}
}
